using System;
using System.Collections.Generic;
using UnityEngine;

namespace Mahjong
{
    public enum LastHandType
    {
        Normal = 0,
        Ron = 1,
        Youngsang = 2
    }

    public enum HandStructType
    {
        Shunzi = 0,
        Kezi = 1,
        Chi = 2,
        Pun = 3,
        Gangzi_In = 4,
        Gangzi_Out = 5,
        Head = 6
    }

    [Serializable]
    public struct HandStruct
    {
        public HandType HandType;
        public HandStructType StructType;
        public static HandStruct By(HandType handType, HandStructType bodyType)
        {
            HandStruct result = new HandStruct();
            result.HandType = handType;
            result.StructType = bodyType;
            return result;
        }
    }

    [Serializable]
    public struct LastHand
    {
        public HandType HandType;
        public LastHandType LastHandType;
        public int LastHandFrom;
    }

    [Serializable]
    public struct HandData
    {
        public List<HandStruct> StructList;
        public LastHand LastHand;
        public static HandData New()
        {
            HandData result = new HandData();
            result.StructList = new List<HandStruct>();
            return result;
        }
    }
}
