using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;
using UnityEngine.UI;

namespace Mahjong
{
    public class InputButton : MonoBehaviour
    {
        [SerializeField] private TMP_Text text;
        [SerializeField] private Button button;
        private EvaluateData answer => GameManager.Instance.EvaluateData;
        private EvaluateData inputData;

        public void Init(int grade, bool yukman)
        {
            inputData = EvaluateData.By(grade, yukman);
            text.text = grade.ToString() + $"\n{YukmanToString(yukman)}";
            button.onClick.AddListener(InputAnswer);
        }

        private string YukmanToString(bool yukman)
        {
            if (yukman)
                return "";
            else
                return "";
        }

        private void InputAnswer()
        {
            GameManager.Instance.CheckAnswer(inputData);
        }
    }
}
